Package org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.actions

## Class FilterActionMenu

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.action.AbstractAction
    - - org.eclipse.jface.action.Action
      - - org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.actions.FilterActionMenu

All Implemented Interfaces:
  `org.eclipse.jface.action.IAction`, `org.eclipse.jface.action.IMenuCreator`

    public class FilterActionMenu
    extends org.eclipse.jface.action.Action
    implements org.eclipse.jface.action.IMenuCreator

This will be displayed atop the structure viewer as the "filters" menu.

Since:
  4.0

### Field Summary

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

### Constructor Summary

Constructors
`FilterActionMenu​(StructureMergeViewerFilter structureMergeViewerFilter, IDifferenceFilter.Registry registry)` Constructs our filtering menu.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()`
`org.eclipse.swt.widgets.Menu` `getMenu​(org.eclipse.swt.widgets.Control parent)`
`org.eclipse.swt.widgets.Menu` `getMenu​(org.eclipse.swt.widgets.Menu parent)`
`void` `updateMenu​(IComparisonScope newScope, Comparison newComparison)` Create all of our filtering actions into the given menu.

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, run, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FilterActionMenu

    public FilterActionMenu​(StructureMergeViewerFilter structureMergeViewerFilter,
                            IDifferenceFilter.Registry registry)

Constructs our filtering menu.

Parameters:
  `structureMergeViewerFilter` - The viewer filter for which we'll create actions.
  `registry` - The registry that contains the filters.

### Method Detail

#### updateMenu

    public void updateMenu​(IComparisonScope newScope,
                           Comparison newComparison)

Create all of our filtering actions into the given menu.

Parameters:
  `newScope` - The scope on which the filters will be applied.
  `newComparison` - The comparison on which the filters will be applied.

#### dispose

    public void dispose()

Specified by:
  `dispose` in interface `org.eclipse.jface.action.IMenuCreator`
See Also:
  `IMenuCreator.dispose()`

#### getMenu

    public org.eclipse.swt.widgets.Menu getMenu​(org.eclipse.swt.widgets.Control parent)

Specified by:
  `getMenu` in interface `org.eclipse.jface.action.IMenuCreator`
See Also:
  `IMenuCreator.getMenu(Control)`

#### getMenu

    public org.eclipse.swt.widgets.Menu getMenu​(org.eclipse.swt.widgets.Menu parent)

Specified by:
  `getMenu` in interface `org.eclipse.jface.action.IMenuCreator`
See Also:
  `IMenuCreator.getMenu(Menu)`